<?php
/*
Simple:Press
Policy Docs plugin uninstall routine
$LastChangedDate: 2013-08-23 12:55:44 -0700 (Fri, 23 Aug 2013) $
$Rev: 10569 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

# this uninstall function is for the report post plugin uninstall only
function sp_policy_doc_do_uninstall() {
    # delete our option table
    sp_delete_option('policy-doc');

    # remove meta
	$msg = sp_get_sfmeta('registration', 'policy');
	if (!empty($msg)) sp_delete_sfmeta($msg[0]['meta_id']);
	$msg = sp_get_sfmeta('privacy', 'policy');
	if (!empty($msg)) sp_delete_sfmeta($msg[0]['meta_id']);

	global $spPaths;
    sp_remove_dir(SF_STORE_DIR.'/'.$spPaths['policies']);

    # make sure permalink include pm stuff
    sp_update_permalink(true);
}

function sp_policy_doc_do_sp_uninstall() {
	global $spPaths;
    sp_remove_dir(SF_STORE_DIR.'/'.$spPaths['policies']);
}
?>