<?php
/*
$LastChangedDate: 2013-03-09 11:52:15 -0700 (Sat, 09 Mar 2013) $
$Rev: 10027 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_PolicyDocShowRegisterTag($args='', $label='') {
	$defs = array('tagId' 		=> 'spPolicyDocRegister',
				  'tagClass' 	=> 'spPolicyDocRegister',
				  );
	$a = wp_parse_args($args, $defs);
	$a = apply_filters('sph_PolicyDocRegister_args', $a);
	extract($a, EXTR_SKIP);

	# sanitize before use
	$tagId		= esc_attr($tagId);
	$tagClass	= esc_attr($tagClass);
    $label      = sp_filter_title_display($label);

	$out = '';
	$out.= "<div id='$tagId'>";
	if (!empty($label)) $out.= "<p class='spLabel'>$label</p>";
	$out.= "<div class='$tagClass'>";
	$out.= sp_policy_doc_retrieve('registration');
	$out.= '</div>';
	$out.= "</div>\n";

	$out = apply_filters('sph_PolicyDocRegister', $out, $a);
	echo $out;
}

?>