<?php
/*
$LastChangedDate: 2013-02-17 13:09:35 -0700 (Sun, 17 Feb 2013) $
$Rev: 9856 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_PolicyDocShowTag($args='', $headerLabel='', $acceptLabel='') {
	$defs = array('tagId' 		=> 'spPolicyDocReg',
				  'tagClass' 	=> 'spPolicyDocReg',
				  );
	$a = wp_parse_args($args, $defs);
	$a = apply_filters('sph_PolicyDocReg_args', $a);
	extract($a, EXTR_SKIP);

	# sanitize before use
	$tagId		= esc_attr($tagId);
	$tagClass	= esc_attr($tagClass);

	$out = '';
	$out.= "<div id='$tagId'>";
	$out.= '<p class="spLabel">'.sp_filter_title_display($headerLabel).'</p>';
	$out.= "<div class='$tagClass'>";
	$out.= sp_policy_doc_retrieve('registration');
	$out.= '</div>';

	$out.= '<br />';
	$spPolicy = sp_get_option('policy-doc');
	if ($spPolicy['regcheck']) {
		$out.= '<p><label for="sf-accept">'.sp_filter_title_display($acceptLabel).'</label></p>';
		$out.= '<input type="checkbox" class="spControl" id="sf-accept" name="sf-accept" tabindex="1" value="" onchange="sptoggleRegister(this);" />';
		$enabled = ' disabled="disabled" ';
	} else {
        $enabled = '';
	}
   	$spLogin = sp_get_option('sflogin');
    $url = site_url('wp-login.php?action=register&amp;redirect_to='.$spLogin['sfregisterurl'], 'login');
    $out.= '<input type="button" class="spSubmit"'.$enabled.' tabindex="2" id="regbutton" name="regbutton" value="'.esc_attr(__('Register', 'sp-policy')).'" onclick="spjReDirect( \''.$url.'\');" />';
	$out.= '<input type="button" class="spSubmit" tabindex="3" id="retbutton" name="retbutton" value="'.esc_attr(__('Return to Forum', "sp-policy")).'" onclick="spjReDirect(\''.sp_url().'\');" />';
	$out.= "</div>\n";

	$out = apply_filters('sph_PolicyDocReg', $out, $a);
	echo $out;
}

?>