<?php
/*
Simple:Press
Policy Docs Plugin Admin Options Save Routine
$LastChangedDate: 2013-02-17 13:09:35 -0700 (Sun, 17 Feb 2013) $
$Rev: 9856 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_policy_doc_admin_options_save() {
	check_admin_referer('forum-adminform_userplugin', 'forum-adminform_userplugin');

	$policy = sp_get_option('policy-doc');
    $policy['regcheck'] = isset($_POST['regcheck']);
    $policy['regform'] = isset($_POST['regform']);
	if(isset($_POST['regfile'])) $policy['regfile'] = sp_filter_filename_save(trim($_POST['regfile']));
	if(isset($_POST['privfile'])) $policy['privfile'] = sp_filter_filename_save(trim($_POST['privfile']));

	# Registration text - if set update, otherwise its empty, so remove
	if (isset($_POST['regpolicy']) && $_POST['regpolicy'] != '') {
		sp_add_sfmeta('registration', 'policy', sp_filter_text_save(trim($_POST['regpolicy'])));
	} else {
		$msg = sp_get_sfmeta('registration', 'policy');
		if (!empty($msg[0])) sp_delete_sfmeta($msg[0]['meta_id']);
	}

	# Prvacy text - if set update, otherwise its empty, so remove
	if (isset($_POST['privpolicy']) && $_POST['privpolicy'] != '') {
		sp_add_sfmeta('privacy', 'policy', sp_filter_text_save(trim($_POST['privpolicy'])));
	} else {
		$msg = sp_get_sfmeta('privacy', 'policy');
		if (!empty($msg[0])) sp_delete_sfmeta($msg[0]['meta_id']);
	}
	sp_update_option('policy-doc', $policy);

	return __('Policy documents options updated!', 'sp-policy');
}

?>